Name:           yum
Version:        2.0.3
Release:        0.fdr.1.rh80
Epoch:          0
Summary:        RPM installer/updater

Group:          System Environment/Base
License:        GPL
URL:            http://www.linux.duke.edu/yum/
Source0:       http://linux.duke.edu/projects/yum/download/2.0/yum-2.0.3.tar.gz
Source1:        %{name}-fedora.conf
Source100:      Fedora-GPG-KEY
Source101:      RPM-GPG-KEY
Source102:      BETA-RPM-GPG-KEY
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:      noarch

BuildRequires:  rpm-python, python >= 0:2.2, gettext
Requires:       python >= 0:2.2, rpm-python >= 0:4.1.1, rpm >= 0:4.1.1, gnupg
Requires:       libxml2-python
Requires(post,preun): /sbin/chkconfig
Obsoletes:      yum-phoebe

%description
yum is a utility that can check for and automatically download and
install updated RPM packages. Dependencies are obtained and downloaded
automatically prompting the user as necessary.


%prep
%setup -q
cp -p %{SOURCE100} %{SOURCE101} %{SOURCE102} .


%build
%configure
make


%install
rm -rf $RPM_BUILD_ROOT

# The makeinstall macro doesn't install everything here.
make DESTDIR=$RPM_BUILD_ROOT install

# Use Fedora config.
install -p -m 0644 %{SOURCE1} $RPM_BUILD_ROOT/etc/yum.conf

%find_lang %{name}


%clean
rm -rf $RPM_BUILD_ROOT


%post
if [ $1 -eq 1 ]; then
  /sbin/chkconfig --add yum
fi

%preun
if [ $1 -eq 0 ]; then
  /etc/init.d/yum stop >/dev/null 2>&1 || :
  /sbin/chkconfig --del yum
fi

%postun
if [ $1 -ge 1 ]; then
  /etc/init.d/yum condrestart >/dev/null || :
fi


%files -f %{name}.lang
%defattr(0644,root,root,0755)
%doc AUTHORS ChangeLog COPYING README TODO *-GPG-KEY
%config(noreplace) /etc/yum.conf
%attr(0755,root,root) %config(noreplace) /etc/cron.daily/*
%attr(0755,root,root) %config /etc/init.d/*
%config(noreplace) /etc/logrotate.d/*
%{_datadir}/yum
%attr(0755,root,root) %{_bindir}/*
/var/cache/yum
%{_mandir}/*/*


%changelog
* Tue Sep  9 2003 Ville Skyttä <ville.skytta at iki.fi> - 0:2.0.3-0.fdr.1
- Update to 2.0.3.

* Mon Sep  8 2003 Ville Skyttä <ville.skytta at iki.fi> - 0:2.0.2-0.fdr.1
- Update to 2.0.2.

* Fri Aug 15 2003 Ville Skyttä <ville.skytta at iki.fi> - 0:2.0.1-0.fdr.2
- Include ChangeLog in docs.

* Fri Aug 15 2003 Ville Skyttä <ville.skytta at iki.fi> - 0:2.0.1-0.fdr.1
- Update to 2.0.1.

* Mon Aug 11 2003 Ville Skyttä <ville.skytta at iki.fi> 0:2.0-0.fdr.1.20030811
- Update to daily 20030811.

* Sat Aug  9 2003 Ville Skyttä <ville.skytta at iki.fi> 0:2.0-0.fdr.1.20030809
- Update to daily 20030809.
- Init script patch already applied upstream.
- Include fix for typo in clientStuff.py.

* Mon Aug  4 2003 Ville Skyttä <ville.skytta at iki.fi> 0:2.0-0.fdr.1.20030804
- Update to daily 20030804.

* Mon Jul 14 2003 Ville Skyttä <ville.skytta at iki.fi> - 0:2.0-0.fdr.1
- Update to 2.0.

* Fri Jul 11 2003 Ville Skyttä <ville.skytta at iki.fi> - 0:1.98-0.fdr.4.20030710
- Update to daily 20030710.

* Tue Jul  8 2003 Ville Skyttä <ville.skytta at iki.fi> - 0:1.98-0.fdr.4.20030707
- Update to daily 20030707.

* Sat Jun 28 2003 Ville Skyttä <ville.skytta at iki.fi> - 0:1.98-0.fdr.4
- New version of init script patch (#346).

* Fri Jun 20 2003 Ville Skyttä <ville.skytta at iki.fi> - 0:1.98-0.fdr.3
- Address issues in #346:
- Patch init script to return correct exit codes.
- Ignore errors stopping the service on erase.
- Make daily cron script and logrotate configuration %config(noreplace).
- Preserve timestamps when installing files.

* Mon Jun  2 2003 Ville Skyttä <ville.skytta at iki.fi> - 0:1.98-0.fdr.2
- Nuke two more macros because of hardcoded paths.

* Mon Jun  2 2003 Ville Skyttä <ville.skytta at iki.fi> - 0:1.98-0.fdr.1
- Update to 1.98.
- Update configuration file including sample failover setup.
- Don't use macros for hardcoded install locations.
- Spec file tweaks according to current Fedora template.

* Tue Apr 22 2003 Ville Skyttä <ville.skytta at iki.fi> - 0:1.97-0.fdr.2
- Include Seth's pkgaction patch from #136.

* Tue Apr 22 2003 Ville Skyttä <ville.skytta at iki.fi> - 0:1.97-0.fdr.1
- Update to 1.97.

* Sat Apr 19 2003 Ville Skyttä <ville.skytta at iki.fi> - 0:1.96-0.fdr.3
- Use $releasever in yum.conf - no need for per-distro configs any more.

* Sat Apr 19 2003 Ville Skyttä <ville.skytta at iki.fi> - 0:1.96-0.fdr.2
- Prepare for upcoming RH 8.0 rpm 4.1.1 release.

* Wed Apr 16 2003 Ville Skyttä <ville.skytta at iki.fi> - 0:1.96-0.fdr.1
- Update to 1.96, drop patches (already applied).
- Init script is again a config file (#136).

* Sat Apr 12 2003 Ville Skyttä <ville.skytta at iki.fi> - 0:1.95-0.fdr.3
- BuildRequires: gettext, Requires: libxml2-python (#136 comment 3).
- Init script is no longer a config file.

* Tue Apr  8 2003 Ville Skyttä <ville.skytta at iki.fi> - 0:1.95-0.fdr.2
- Include upstream patch from
  <https://lists.dulug.duke.edu/pipermail/yum/2003-April/000862.html>

* Mon Apr  7 2003 Ville Skyttä <ville.skytta at iki.fi> - 0:1.95-0.fdr.1
- Update to 1.95.

* Sun Apr  6 2003 Ville Skyttä <ville.skytta at iki.fi> - 0:1.8-0.fdr.0.1.20030324
- Update to latest daily (20030324).

* Sat Apr  5 2003 Ville Skyttä <ville.skytta at iki.fi> - 0:1.8-0.fdr.0.1.20030307
- First release for RH9.
- Save .spec in UTF-8.

* Sun Mar 30 2003 Ville Skyttä <ville.skytta at iki.fi> - 0:1.0-0.fdr.4
- Requires(post,preun), not PreReq(post,preun) (#92 comment 10).

* Sat Mar 29 2003 Ville Skyttä <ville.skytta at iki.fi> - 0:1.0-0.fdr.3.rh80
- Include GPG keys.
- Integrate RH 7.3 build.

* Thu Mar 27 2003 Ville Skyttä <ville.skytta at iki.fi> - 0:1.0-0.fdr.2.rh80
- Addressed issues from bug #92.
- Install *.pyc to %%{_datadir}/yum.
- Don't do %%{_sbindir} symlinks.

* Thu Mar 27 2003 Ville Skyttä <ville.skytta at iki.fi> - 0:1.0-0.fdr.1.rh80
- Update to 1.0, include yum.conf for fedora.

* Sat Feb 15 2003 Ville Skyttä <ville.skytta at iki.fi> - 0.9.4-1.fedora.1
- First Fedora release, based on upstream SRPM.

* Fri Feb 14 2003 Seth Vidal <skvidal@phy.duke.edu>
- fix for the wrong config file.

* Sun Dec 22 2002 Seth Vidal <skvidal@phy.duke.edu>
- bumped ver to 0.9.4
- new spec file for rhl 8.0

* Sun Oct 20 2002 Seth Vidal <skvidal@phy.duke.edu>
- bumped ver to 0.9.3

* Mon Aug 26 2002 Seth Vidal <skvidal@phy.duke.edu>
- bumped ver to 0.9.2

* Thu Jul 11 2002 Seth Vidal <skvidal@phy.duke.edu>
- bumped ver to 0.9.1

* Thu Jul 11 2002 Seth Vidal <skvidal@phy.duke.edu>
- bumped ver  to 0.9.0

* Thu Jul 11 2002 Seth Vidal <skvidal@phy.duke.edu>
- added rpm require

* Sun Jun 30 2002 Seth Vidal <skvidal@phy.duke.edu>
- 0.8.9

* Fri Jun 14 2002 Seth Vidal <skvidal@phy.duke.edu>
- 0.8.7

* Thu Jun 13 2002 Seth Vidal <skvidal@phy.duke.edu>
- bumped to 0.8.5

* Thu Jun 13 2002 Seth Vidal <skvidal@phy.duke.edu>
- bumped to 0.8.4

* Sun Jun  9 2002 Seth Vidal <skvidal@phy.duke.edu>
- bumped to 0.8.2
* Thu Jun  6 2002 Seth Vidal <skvidal@phy.duke.edu>
- First packaging
